Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name:           compiz-fusion-plugins-main
Version:        0.7.6
Release:        1
Summary:        Collection of Compiz Fusion plugins for Compiz - Main

Group:          User Interface/Desktops
License:        GPL
URL:            http://www.opencompositing.org

Source0:        http://releases.compiz-fusion.org/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  compiz-devel >= %{version} , compiz-bcop = %{version}
BuildRequires:  libjpeg-devel, pango-devel, cairo-devel
BuildRequires:  perl(XML::Parser), intltool, gettext
Requires:       compiz >= %{version}

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
The Compiz Fusion Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
though plugins and themes contributed by the community giving a
rich desktop experience.

This package of plugins provides everything you need to actually use
compiz as your window manager.

Many of the plugins in this package were contributed by the community.


%package devel
Group:          Development/Libraries
Summary:        Development files for Compiz-Fusion
Requires:       compiz-devel >= %{version} , %{name} = %{version}
Requires:       pkgconfig

%description devel
The Compiz Fusion Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
though plugins and themes contributed by the community giving a
rich desktop experience.

This package of plugins provides everything you need to actually use
compiz as your window manager.

This package contain development files required for developing other plugins.

%prep
%setup -q 


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README VERSION
%{_libdir}/compiz/*.so
%{_datadir}/compiz/*.xml
%{_datadir}/compiz/filters
%{_datadir}/compiz/Gnome
%{_datadir}/compiz/Oxygen

%files devel
%defattr(-,root,root,-)
%{_includedir}/compiz
%{_libdir}/pkgconfig/compiz-text.pc
%{_libdir}/pkgconfig/compiz-mousepoll.pc
%{_libdir}/compiz/*.a
%{_libdir}/compiz/*.la

%changelog
* Sun Jul 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.7.6-1
- Version update
* Tue May 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.7.4-1
- Version update
* Sat Mar 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.7.2-1
- Version update
* Sat Oct 20 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.6.0-1
- Version update
* Thu Sep 20 2007 Christian Metzen <metzench@ccux-linux.de> 0.5.2-1
- Initial release
